net.minecraft.client.mco

## Class Request

- java.lang.Object
- - net.minecraft.client.mco.Request

- Direct Known Subclasses:
    Request.Delete, Request.Get, Request.Post, Request.Put

      public abstract class Request
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Request.Delete`
    `static class` | `Request.Get`
    `static class` | `Request.Post`
    `static class` | `Request.Put`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `field_148675_b`
    `protected java.net.HttpURLConnection` | `field_148677_a`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Request(java.lang.String par1Str, int par2, int par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `func_148659_d()`
    `static Request` | `func_148661_a(java.lang.String p_148661_0_, java.lang.String p_148661_1_, int p_148661_2_, int p_148661_3_)`
    `protected abstract Request` | `func_148662_f()`
    `static Request` | `func_148663_b(java.lang.String p_148663_0_)`
    `int` | `func_148664_b()`
    `void` | `func_148665_a(java.lang.String p_148665_1_, java.lang.String p_148665_2_)`
    `static Request` | `func_148666_a(java.lang.String p_148666_0_)`
    `protected Request` | `func_148667_e()`
    `static Request` | `func_148668_d(java.lang.String p_148668_0_, java.lang.String p_148668_1_)`
    `static Request` | `func_148669_b(java.lang.String p_148669_0_, java.lang.String p_148669_1_, int p_148669_2_, int p_148669_3_)`
    `static Request` | `func_148670_a(java.lang.String p_148670_0_, int p_148670_1_, int p_148670_2_)`
    `int` | `func_148671_a()`
    `static Request` | `func_148672_c(java.lang.String p_148672_0_, java.lang.String p_148672_1_)`
    `int` | `func_148673_g()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_148677_a

          protected java.net.HttpURLConnection field_148677_a

    - #### field_148675_b

          protected java.lang.String field_148675_b

  - ### Constructor Detail

    - #### Request

          public Request(java.lang.String par1Str,
                 int par2,
                 int par3)

  - ### Method Detail

    - #### func_148665_a

          public void func_148665_a(java.lang.String p_148665_1_,
                           java.lang.String p_148665_2_)

    - #### func_148671_a

          public int func_148671_a()

    - #### func_148664_b

          public int func_148664_b()

    - #### func_148659_d

          public java.lang.String func_148659_d()

    - #### func_148667_e

          protected Request func_148667_e()

    - #### func_148662_f

          protected abstract Request func_148662_f()

    - #### func_148666_a

          public static Request func_148666_a(java.lang.String p_148666_0_)

    - #### func_148670_a

          public static Request func_148670_a(java.lang.String p_148670_0_,
                              int p_148670_1_,
                              int p_148670_2_)

    - #### func_148672_c

          public static Request func_148672_c(java.lang.String p_148672_0_,
                              java.lang.String p_148672_1_)

    - #### func_148661_a

          public static Request func_148661_a(java.lang.String p_148661_0_,
                              java.lang.String p_148661_1_,
                              int p_148661_2_,
                              int p_148661_3_)

    - #### func_148663_b

          public static Request func_148663_b(java.lang.String p_148663_0_)

    - #### func_148668_d

          public static Request func_148668_d(java.lang.String p_148668_0_,
                              java.lang.String p_148668_1_)

    - #### func_148669_b

          public static Request func_148669_b(java.lang.String p_148669_0_,
                              java.lang.String p_148669_1_,
                              int p_148669_2_,
                              int p_148669_3_)

    - #### func_148673_g

          public int func_148673_g()